%define version 1.5.3
%define release 1mdk
%define lib_major 1
%define lib_name lib%{name}%{lib_major}

Summary:   CheckInstall installations tracker
Name:      checkinstall
Version:   %version
Release:   %release
License:   GPL
Group:     System/Configuration/Packaging
Source:    %{name}-%{version}.tar.bz2
Patch0:	   %name-paths.patch.bz2
Patch1:	   installwatch-prefix.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://asic-linux.com.mx/~izto/checkinstall/
Requires: %{lib_name}
Buildarch:noarch

%description
CheckInstall  keeps  track of all the files created  or
modified  by your installation  script  ("make install"
"make install_modules",  "setup",   etc),   builds    a 
standard   binary   package and  installs  it  in  your 
system giving you the ability to uninstall it with your 
distribution's  standard package management  utilities. 

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Configuration/Packaging
Requires: %{name}

%description -n %{lib_name}
This package contains the library needed to run %{name}.

%prep

%setup -q

%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/checkinstall

install -m 755 checkinstall $RPM_BUILD_ROOT/%{_bindir}
install -m 755 makepak $RPM_BUILD_ROOT/%{_bindir}
install -m 755 installwatch-0.6.3/installwatch $RPM_BUILD_ROOT/%{_bindir}
install -m 755 installwatch-0.6.3/installwatch.so $RPM_BUILD_ROOT/%{_libdir}
install -m 755 checkinstallrc $RPM_BUILD_ROOT/%{_libdir}/checkinstall

%post -n %{lib_name} -p /sbin/ldconfig 

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc README INSTALL RELNOTES BUGS TODO CREDITS COPYING
%{_bindir}/installwatch
%{_bindir}/checkinstall
%{_bindir}/makepak

%files -n %{lib_name}
%defattr(-, root, root)
%doc README
%{_libdir}/checkinstall/checkinstallrc
%{_libdir}/installwatch.so

%changelog
* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.3-1mdk
- 1.5.3
- url

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Wed Apr 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-3mdk
- patch1: fixes PREFIX in installwatch ( we don't use make install in %%install )

* Sat Jan 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- %name-paths.patch : fix paths in scripts ( thx Rainer Koschnick ) 

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- apply changes from Jorg Pitts <jorgp@bartnet.net> (thx! )
	- new release 1.5.1
	- split package and make rpmlint happier

* Thu Apr 12 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.4.1-1mdk
- First package

